
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 制定任务
    /// </summary>
    [Description("制定任务触发范围")]
    public class T_BS_PLAN_SET_OBJECT : MesEntityBase
    {
        /// <summary>
        /// 制定任务
        /// </summary>
        [Description("制定任务")]
        [DataFieldForeignKey("Nav_PlanSet", "Nav_ListSetObject")]
        public Guid? PLANSET_ID { get; set; }

        /// <summary>
        /// 导航：制定任务
        /// </summary>
        [Description("导航：制定任务")]
        public virtual T_BS_PLAN_SET Nav_PlanSet { get; set; }

        /// <summary>
        /// 检查对象
        /// </summary>
        [Description("检查对象")]
        [FormFieldTable]
        [FormFieldEdit]
        [EnumName("BSMineTypeEnum")]
        public BSMineTypeEnum CHECKOBJECT { get; set; }

    }
}